We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8493 - Accessiblity: Language toggle block triggers unexpected behaviour
Accessiblity: Language toggle block triggers unexpected behaviour
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: User Interface
2.4.4
All All
: P3 normal
Assigned To: Jason Nugent
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-28 11:30 PST by Adam Doan
Modified: 2014-09-26 00:53 PDT (History)
2 users (show)

See Also:
Version Reported In: 2.4.2
Also Affects:


Attachments
Patch file to add a submit element to the form. (2.40 KB, patch)
2013-11-28 11:31 PST, Adam Doan
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Doan 2013-11-28 11:30:01 PST
The language toggle block breaks predictability and forces an unexpected page refresh when a value is selected. 

Rather than rely on the onchange event, this block should provide a submit element which is expected to trigger a page refresh. 

I've attached a patch that I've created against the ojs-2_4_2-0 tag in git. It's likely not perfect, but you'll get the idea of what I'm after.
Comment 1 Adam Doan 2013-11-28 11:31:05 PST
Created attachment 3975 [details]
Patch file to add a submit element to the form.
Comment 2 Adam Doan 2013-11-28 11:34:46 PST
See here for WCAG 2.0 guidelines on predictability: 

http://www.w3.org/WAI/WCAG20/quickref/Overview.php#consistent-behavior-unpredictable-change
Comment 3 Adam Doan 2014-04-29 08:31:02 PDT
: Improved accessibility of language toggle block.
https://github.com/pkp/ojs/commit/2a69e8869d6b8ac6089a64ff527c8572e5a86c59
Comment 4 Alec Smecher 2014-04-29 08:31:02 PDT
Pull request closed (merged):
: Improved accessibility of language toggle block.
https://github.com/pkp/ojs/pull/127
Comment 5 Alec Smecher 2014-05-01 16:02:30 PDT
Jason, could you spend a bit of time on this? The change isn't consistent with the form language chooser pulldown; if we change this, we should also change that. The submit button is unstyled and has the default "Submit" text. (Pedantic note: the code indentation is inconsistent.)
Comment 6 Jason Nugent 2014-05-01 16:47:03 PDT
code conventions and styling
https://github.com/pkp/ojs/commit/ffb95e90316d9e5de0c68d662f22bd96f0c87d82
Comment 7 Jason Nugent 2014-05-01 16:48:03 PDT
update form language chooser for accessibility standards
https://github.com/pkp/pkp-lib/commit/5c6bb14dfc7a9cde98ba4483304f728781b78deb
Comment 10 Jason Nugent 2014-05-01 17:10:57 PDT
Closing again, Alec. Code cleaned up, localized, and the form UI chooser now works the same as the language block plugin.
Comment 11 Marc Bria 2014-09-26 00:53:47 PDT
Extended discussion here:
http://pkp.sfu.ca/support/forum/viewtopic.php?f=9&t=12904

Jason, I'm sorry but I think we need to reopen it again.